org.apache.hadoop.mapreduce.v2.app.job.impl

## Class ReduceTaskImpl

- java.lang.Object
- - org.apache.hadoop.mapreduce.v2.app.job.impl.TaskImpl
  - - org.apache.hadoop.mapreduce.v2.app.job.impl.ReduceTaskImpl

- All Implemented Interfaces:
    Task, org.apache.hadoop.yarn.event.EventHandler<TaskEvent>

      public class ReduceTaskImpl
      extends TaskImpl

- - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.mapreduce.v2.app.job.impl.TaskImpl

      `appContext, clock, conf, credentials, encryptedShuffle, eventHandler, jobFile, jobToken, nextAttemptNumber, partition, taskAttemptListener`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReduceTaskImpl(org.apache.hadoop.mapreduce.v2.api.records.JobId jobId, int partition, org.apache.hadoop.yarn.event.EventHandler eventHandler, org.apache.hadoop.fs.Path jobFile, org.apache.hadoop.mapred.JobConf conf, int numMapTasks, TaskAttemptListener taskAttemptListener, org.apache.hadoop.security.token.Token<org.apache.hadoop.mapreduce.security.token.JobTokenIdentifier> jobToken, org.apache.hadoop.security.Credentials credentials, org.apache.hadoop.yarn.util.Clock clock, int appAttemptId, MRAppMetrics metrics, AppContext appContext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected TaskAttemptImpl` | `createAttempt()`
    `protected int` | `getMaxAttempts()`
    `org.apache.hadoop.mapreduce.v2.api.records.TaskType` | `getType()`

    - ### Methods inherited from class org.apache.hadoop.mapreduce.v2.app.job.impl.TaskImpl

      `canCommit, getAttempt, getAttempts, getCounters, getID, getInternalState, getProgress, getReport, getSplitsAsString, getState, getSuccessfulAttempt, handle, internalError, isFinished`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReduceTaskImpl

          public ReduceTaskImpl(org.apache.hadoop.mapreduce.v2.api.records.JobId jobId,
                                int partition,
                                org.apache.hadoop.yarn.event.EventHandler eventHandler,
                                org.apache.hadoop.fs.Path jobFile,
                                org.apache.hadoop.mapred.JobConf conf,
                                int numMapTasks,
                                TaskAttemptListener taskAttemptListener,
                                org.apache.hadoop.security.token.Token<org.apache.hadoop.mapreduce.security.token.JobTokenIdentifier> jobToken,
                                org.apache.hadoop.security.Credentials credentials,
                                org.apache.hadoop.yarn.util.Clock clock,
                                int appAttemptId,
                                MRAppMetrics metrics,
                                AppContext appContext)

  - ### Method Detail

    - #### getMaxAttempts

          protected int getMaxAttempts()

      Specified by:
        `getMaxAttempts` in class `TaskImpl`

    - #### createAttempt

          protected TaskAttemptImpl createAttempt()

      Specified by:
        `createAttempt` in class `TaskImpl`

    - #### getType

          public org.apache.hadoop.mapreduce.v2.api.records.TaskType getType()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.